function WarlockReminder_OnLoad(self)
	self:RegisterEvent("UNIT_HEALTH");
	self:RegisterEvent("PLAYER_REGEN_DISABLED");
	self:RegisterEvent("PLAYER_TARGET_CHANGED");
end

local function UnitHasBuff(unit, buff)
    for i=1, 40 do
         if ( UnitBuff(unit, i) == buff ) then
              return true
         end
    end
end

local function GetUnitHealthPerc(unit)
	return (UnitHealth(unit) / UnitHealthMax(unit) * 100)
end

local throttled = nil
local start_combat_time = nil;

function WarlockReminder_OnEvent(event)

	if ( event == "PLAYER_REGEN_DISABLED" ) then
		start_combat_time = GetTime();
	end

	if ( event == "UNIT_HEALTH" and UnitAffectingCombat("player") and start_combat_time ) then
		if (	not throttled and
			GetUnitHealthPerc("target") < 50 and
			UnitLevel("target") < 0 and
			UnitHealth("target") > 0 ) then
				UIErrorsFrame:AddMessage("* Reminder: Use Infernal! *", 0.0, 1.0, 0.0, 5.0)
				ChatFrame6:AddMessage("* Reminder: Use Infernal! *", 0.0, 1.0, 0.0, 5.0)
				throttled = 1

		elseif ( throttled and GetUnitHealthPerc("target") > 50 ) then
			throttled = nil
		end
	end

	if ( event == "PLAYER_TARGET_CHANGED" ) then

		if (	UnitClass("player") == "Warlock" and
			not UnitExists("pet") and
			not IsMounted("player") ) then
				UIErrorsFrame:AddMessage("* Missing a Pet! *", 0.0, 1.0, 0.0, 5.0)
		end

		if (	UnitClass("player") == "Warlock" and
			UnitHealth("player") > 0 and
			not UnitHasBuff("player", "Fel Armor") ) then
				UIErrorsFrame:AddMessage("* Missing Fel Armor! *", 0.0, 1.0, 0.0, 5.0)
		end

		if (	GetWeaponEnchantInfo() ~= 1 and IsInInstance() or
			GetWeaponEnchantInfo() ~= 1 and UnitIsEnemy("player", "target") ) then
				UIErrorsFrame:AddMessage("* Missing Spellstone! *", 0.0, 1.0, 0.0, 5.0)
		end

		if ( 	UnitLevel("target") < 0 and
			UnitHealth("target") > 80 and
			not UnitHasBuff("player", "Well Fed") ) then
				UIErrorsFrame:AddMessage("* Missing Well Fed! *", 0.0, 1.0, 0.0, 5.0)
		end

		if ( 	UnitLevel("target") < 0 and
			UnitHealth("target") > 80 and
			not UnitHasBuff("player", "Flask of Pure Death") and
			not UnitHasBuff("player", "Flask of the Frost Wyrm") and
			not UnitHasBuff("player", "Major Shadow Power") ) then
				UIErrorsFrame:AddMessage("* Missing Flask or Elixir! *", 0.0, 1.0, 0.0, 5.0)
		end

	end
end
